main
'==================================================================================================
Function main()
	Dim FSO, MSWord, NewDoc, Doc, Content, NewFileFullName
	Dim FolderPath, OutputFilePath
	
	Set FSO = CreateObject("Scripting.FileSystemObject")
	Set myInDesign = CreateObject("InDesign.Application")
	Set MSWord = CreateObject("Word.Application")
	
	'      rtf-     
	FolderPath = myInDesign.ScriptArgs.GetValue( "exportStoties_folderPath" )
	myInDesign.ScriptArgs.SetValue "exportStoties_folderPath", ""
	
	'   
	If Not FSO.FolderExists(FolderPath) Then 
		MsgBox ("VBS:  " & FolderPath & "  ") 
		Exit Function
	End If
	
	On Error Resume Next
	
	Set NewDoc = MSWord.Documents.Add()
	OutputFilePath = ""
	
	For Each File In FSO.GetFolder(FolderPath).Files
		If FSO.GetExtensionName(File.Path) = "rtf" Then
			'MsgBox (File.Path)
			
			'  
			Set Doc = MSWord.Documents.Open( File.Path, False, True,,,,,,,0,,False,,,True )
			
			If OutputFilePath = "" Then
				OutputFilePath = Doc.Path & "\" & FSO.GetBaseName(File.Path) & "_collect.doc"
			End If
			
			' 
			Doc.Content.Copy()
			NewDoc.Activate()
			MSWord.Selection.Paste()
			MSWord.Selection.TypeParagraph() '   
			
			Doc.Close(False)
		End If
	Next
	
	' 
	NewDoc.SaveAs OutputFilePath, 0
	NewDoc.Close()
	
	'    
	myInDesign.ScriptArgs.SetValue "exportStoties_outputFilePath", OutputFilePath
	
	'MsgBox ("!") 
	
	' 
	If Err.Number<>0 Then
		MsgBox ": " & Err.Description & ", " & Err.Number
	End If
	On Error GoTo 0
	
	MSWord.Quit(False)
End Function