﻿

if( !app.documents.length || !app.selection[0] ){
	alert( 'Выдели текстовые фреймы' );
	exit();
	}

//Make certain that user interaction (display of dialogs, etc.) is turned on.
//	app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

//myFolder = app.documents[0].filePath;

myFolder = new Folder( Folder.temp.absoluteURI + '/export_stories' );
if( myFolder.exists ){
	files = myFolder.getFiles();
	for( i = 0; i < files.length; i++ )
		files[i].remove();
	}

myFolder.create();

myFolder.execute();

var basa = {};
var count = 1;
for(var i = 0; i < app.selection.length; i++){
	if( app.selection[i].constructor != TextFrame )
		continue;
	myStory = app.selection[i].parentStory;
	if( basa[myStory.id] )
		continue;
	basa[myStory.id] = true;
	
	file = new File(myFolder + "/" + getWithPrefix( count++, 12 ) + " - StoryID" + myStory.id + '.rtf');
	myStory.exportFile( ExportFormat.RTF, file );
	}

app.scriptArgs.setValue("exportStoties_outputFilePath", "");
app.scriptArgs.setValue("exportStoties_folderPath", myFolder.fsName);

if( File.fs == 'Windows' )
	app.doScript( File(app.activeScript.parent.fsName + '/collectRtfFilesToSingleDoc_2.vbs'), ScriptLanguage.visualBasic );
else{ // Mac OS
	alert( 'Mac OS не поддерживается' ); exit();
	}

//myFolder.execute();

outputFilePath = app.scriptArgs.getValue("exportStoties_outputFilePath");
if( !outputFilePath ){
	alert( "vbs-скрипт не вернул результат" );
	exit();
	}
outputFile = File(outputFilePath);
if( !outputFile.exists ){
	alert( "Файл не найден:\r" + outputFilePath );
	outputFile.parent.execute();
	exit();
	}
else{
	outputFile.copy( new File(app.documents[0].filePath + '/' + outputFile.displayName) );
	//myFolder.remove();
	alert( 'Выполнено!' );
	app.documents[0].filePath.execute();
	}

//=========================================
function getWithPrefix( num, targetNum ){ // добавляет к числу префикс, возвращает строку. targetNum - число. под размер которого будет добавлен префикс
	//if( isNumber(num) )
	//	num = +num;
	//else
	//	return num;
	var level = targetNum ? Math.floor(targetNum).toString().length : 1; // округляем в меньшую сторону, переводим в строку и получаем её длинну. По умолчанию level = 1
	var res = num.toString();
	var length = Math.floor(num).toString().length; // округляем в меньшую сторону, переводим в строку и получаем её длинну
	while( length++ < level )
		res = '0' + res;
	return res;
	}
